Mangools/API

Get related keywords list

Get a list of relevant keywords based on your seed keyword. You only need to send your seed keyword. Location and language are optional.

The list is sorted by relevancy (most relevant first).

Limits

Each request is counted towards to your Keyword lookups limit. Lookup is not counted if you make the identical request within 24 hours.

Locations

You can specify a location_id to get localized search volumes or use 0 for global search volumes.

To get a list of supported locations, please refer to this article.

Languages

To get a list of supported languages, please refer to this article.

Number of results

Each request may return up to 10000 keywords. Based on a seed keyword, location and language the number of returned keywords may vary.

Keyword metrics

The result is a list of keywords with metrics such as:

  • CPC
  • PPC
  • Cached keyword difficulty, if exists.
  • Average search volume
  • Search volume history

Search volumes

Each keyword in a list has an average search volume based on the last 12 months and search volume history. Search volume history length may vary - it may include data since 2015.

GET
/kwfinder/related-keywords

Authorization

ApiKeyAuth
x-access-token<token>

Your Mangools API key

In: header

Query Parameters

kw*string

keyword

location_id?integer

ID of location, default 0

language_id?integer

Language ID, default 0

Response Body

application/json

curl -X GET "https://api.mangools.com/v3/kwfinder/related-keywords?kw=string"
{
  "keywords": [
    {
      "_id": "11e2a4ff072b3f6394dfb602dcea80c3",
      "kw": "seo agency",
      "lid": 21167,
      "sv": 21167,
      "svs": 21167,
      "cpc": 21167,
      "ppc": 21167,
      "svn": 530,
      "msv": [
        2015,
        8,
        590
      ],
      "ts": 1617710810,
      "seo": null,
      "seo_ts": null
    }
  ],
  "language": {
    "code": "en",
    "label": "English",
    "_id": 1000
  },
  "location": {
    "_id": 1000,
    "name": "string",
    "country_code": "string",
    "canonical_name": "string",
    "code": "us",
    "label": "New York,United States",
    "google_domain": "string",
    "type": "string"
  },
  "countKeywordsBeforeLimit": 0,
  "_id": "string"
}